Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.reader
Class DeviceUnitCapabilities

    java.lang.Object
      com.connecterra.ale.reader.Capabilities
          com.connecterra.ale.reader.DeviceUnitCapabilities

    public class DeviceUnitCapabilities

extends com.connecterra.ale.reader.Capabilities

Represents the capabilities of a device unit.

Nested Class Summary

Nested classes/interfaces inherited from class com.connecterra.ale.reader.Capabilities
`com.connecterra.ale.reader.Capabilities.Capability`

Field Summary
`static com.connecterra.ale.reader.Capabilities.Capability` | `READING` This capability indicates that the device is capable of reading.
`static com.connecterra.ale.reader.Capabilities.Capability` | `WRITING` This capability indicates that the device is capable of writing.

Fields inherited from class com.connecterra.ale.reader.Capabilities
`m_capabilities`

Constructor Summary
`DeviceUnitCapabilities()` Creates a new `DeviceUnitCapabilities` instance with no capabilities.
`DeviceUnitCapabilities(com.connecterra.ale.reader.Capabilities.Capability[] capabilityArray)` Creates a new `DeviceUnitCapabilities` instance with the given capabilities

Method Summary
`void` | `setSupportsReading()` Set the `DeviceUnitCapabilities.READING` capability
`void` | `setSupportsWriting()` Set the `DeviceUnitCapabilities.WRITING` capability
`boolean` | `supportsReading()`
`boolean` | `supportsWriting()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### READING

    public static final com.connecterra.ale.reader.Capabilities.Capability READING

  This capability indicates that the device is capable of reading.

### WRITING

    public static final com.connecterra.ale.reader.Capabilities.Capability WRITING

  This capability indicates that the device is capable of writing.

Constructor Detail

### DeviceUnitCapabilities

    public DeviceUnitCapabilities(com.connecterra.ale.reader.Capabilities.Capability[] capabilityArray)

  Creates a new `DeviceUnitCapabilities` instance with the given capabilities

  Parameters:
    `capabilityArray` - a `Capability[]` value

### DeviceUnitCapabilities

    public DeviceUnitCapabilities()

  Creates a new `DeviceUnitCapabilities` instance with no capabilities.

Method Detail

### setSupportsReading

    public void setSupportsReading()

  Set the `DeviceUnitCapabilities.READING` capability

### supportsReading

    public boolean supportsReading()

  Returns:
    true if the `DeviceUnitCapabilities.READING` capability is set

### setSupportsWriting

    public void setSupportsWriting()

  Set the `DeviceUnitCapabilities.WRITING` capability

### supportsWriting

    public boolean supportsWriting()

  Returns:
    true if the `DeviceUnitCapabilities.WRITING` capability is set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD